## wizznic 0.9.2

=== Makefile ===
#Makefile for wizznic.
#To make a system-wide install add DATADIR=/dir/to/data/ and BINDIR=/dir/to/bin/ to the make command

CC = gcc
LD = $(CC)
STRIP = strip

NAME=wizznic
TARGET= $(NAME)

#Add the PER_USER_FILES define if the DATADIR is set
ifneq ($(DATADIR),)
	PUF=-DPER_USER_FILES
endif

DEFS = $(PUF) -DDATADIR="\"$(DATADIR)\""

INCS =  -I. -I/usr/include -I/usr/include/SDL

LDFLAGS=$(CFLAGS)
LIBS = -lSDL -lSDL_image -lSDL_mixer -lpng -lm -lz -lpthread

OBJS = dumplevelimages.o board.o cursor.o draw.o input.o main.o menu.o sprite.o\
text.o ticks.o sound.o game.o player.o list.o levels.o pixel.o stars.o\
levelselector.o leveleditor.o particle.o pack.o settings.o stats.o strings.o\
mbrowse.o teleport.o credits.o waveimg.o userfiles.o

MYCC = $(CC) $(CFLAGS) $(INCS) $(DEFS)

########################################################################

sdl: $(TARGET)

$(TARGET): $(OBJS)
	$(LD) $(LDFLAGS) $(OBJS) -o $@ $(LIBS)
	$(STRIP) $@

.c.o:
	$(MYCC) -c $< -o $@

install:
	install -d -D -m 755 "$(DESTDIR)$(BINDIR)"
	install -D -m 755 "$(TARGET)" "$(DESTDIR)$(BINDIR)"
	install -d -D -m 755 "$(DESTDIR)$(DATADIR)"
	cp -R data "$(DESTDIR)$(DATADIR)"
	cp -R packs "$(DESTDIR)$(DATADIR)"
	chmod -R 755 "$(DESTIR)$(DATADIR)"

clean:
	rm -f *.o $(NAME)

## wizznic 0.9.2-preview2%2Bdfsg

=== debian/changelog ===
wizznic (0.9.2-preview2+dfsg-3) unstable; urgency=medium

  * QA upload.
  * Build-depend on libpng-dev rather than libpng12-dev (closes: #662550).
  * Drop hard-coded dependency on libpng12-0.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 12 Jan 2016 10:33:25 +0100

wizznic (0.9.2-preview2+dfsg-2) unstable; urgency=medium

  * QA upload.
  * Orphaning the package as discussed on debian-qa@l.d.o
  * Fix typos in German man page.
  * Update homepage reference.
  * Do not install wizznic mime file. It is not in the proper format expected
    from update-mime(8) and seems to not be necessary for most users. 
    Closes: #647276
  * Review long description. Closes: #679941 
  * Include subcategory in desktop file. Closes: #738053
  * Update policy to 3.9.6, no change required. 

 -- Helge Kreutzmann <debian@helgefjell.de>  Sat, 07 Nov 2015 15:19:37 +0100

wizznic (0.9.2-preview2+dfsg-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build failure with GCC 5 by adding -std=gnu89 to CFLAGS.  Thanks
    to Betty Dall for the patch.  Closes: #778169

 -- Martin Michlmayr <tbm@cyrius.com>  Wed, 01 Jul 2015 20:50:57 -0400

wizznic (0.9.2-preview2+dfsg-1.1) unstable; urgency=low

  * Non maintainer upload
  * Fix typo in extended description. Closes: 637850
  * Add German translation in desktop file. Closes: 640230
  * Add Category "Game" in desktop file. Closes: 652616
  * Provide infrastructure to i18n the man page. Closes: 640232
  * Add german translation of man page. Closes: 640244

 -- Helge Kreutzmann <debian@helgefjell.de>  Tue, 05 Jun 2012 20:38:10 +0200

wizznic (0.9.2-preview2+dfsg-1) unstable; urgency=low

  * Initial Release. Closes: #635058

 -- Edgar Antonio Palma de la Cruz <xbytemx@gmail.com>  Mon, 01 Aug 2011 21:10:42 -0500

## wizznic 0.9.2-preview2+dfsg

=== debian/control ===
Source: wizznic
Section: games
Priority: optional
Maintainer: Edgar Antonio Palma de la Cruz <xbytemx@gmail.com>
Build-Depends: debhelper (>= 8), libsdl-mixer1.2-dev, libsdl-image1.2-dev, 
 libpng12-dev, libsdl1.2-dev, imagemagick, po4a
Standards-Version: 3.9.2
Homepage: http://wizznic.sf.net/

Package: wizznic
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, wizznic-data, libsdl-mixer1.2, 
 libsdl-image1.2, libsdl1.2debian, libpng12-0, zlib1g
Description: Implementation of the arcade classic Puzznic
 As the original game, your mission is to clear the level of
 bricks, this is done by moving the bricks about, when two or
 more bricks of the same kind are next to each other, or on top
 of each other, they will disappear and points will be given.
 The level has to be cleared of bricks before the time runs out,
 or you will lose a life.

Package: wizznic-data
Architecture: all
Recommends: wizznic (= ${source:Version})
Depends: ${misc:Depends}
Description: Implementation of the arcade classic Puzznic (data)
 This package represent all the level and sounds of the game
 .
 As the original game, your mission is to clear the level of
 bricks, this is done by moving the bricks about, when two or
 more bricks of the same kind are next to each other, or on top
 of each other, they will disappear and points will be given.
 The level has to be cleared of bricks before the time runs out,
 or you will lose a life.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

INSTALL_ARGS := -f Makefile.linux DATADIR=/usr/share/games/wizznic/ BINDIR=/usr/games/ DESTIR=debian/tmp/
DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*,\1,p')

override_dh_auto_build:
	convert tools/releaser/data/lin/prgicon.png debian/wizznic.xpm
	cp tools/releaser/data/lin/prgicon.png debian/wizznic.png
	cp tools/mime/wizznic.xml debian/wizznic.mime
	po4a -v -f debian/po4a.cfg
	dh_auto_build -- $(INSTALL_ARGS)

override_dh_auto_install:
	dh_auto_install -- $(INSTALL_ARGS)

override_dh_auto_clean:
	rm -f debian/wizznic.xpm
	rm -f debian/wizznic.png
	rm -f debian/wizznic.mime
	dh_auto_clean

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=.
	rm -rf wizznic-$(DEB_UPSTREAM_VERSION)
	tar -xjf wizznic_$(DEB_UPSTREAM_VERSION).orig.tar.bz2
	rm wizznic_$(DEB_UPSTREAM_VERSION).orig.tar.bz2
	rm wizznic-$(DEB_UPSTREAM_VERSION)-src/obj/ -r
	rm wizznic-$(DEB_UPSTREAM_VERSION)-src/.objs/ -r 
	rm wizznic-$(DEB_UPSTREAM_VERSION)-src/wizznic-x86-precompiled 
	rm wizznic-$(DEB_UPSTREAM_VERSION)-src/tools/releaser/data/win/curl/ -r 
	rm wizznic-$(DEB_UPSTREAM_VERSION)-src/tools/releaser/data/win/win-dlls/ -r
	mv wizznic-$(DEB_UPSTREAM_VERSION)-src wizznic-$(DEB_UPSTREAM_VERSION).orig
	GZIP=--best tar -cj --owner root --group root --mode a+rX \
		-f wizznic_$(DEB_UPSTREAM_VERSION)+dfsg.orig.tar.bz2 \
		wizznic-$(DEB_UPSTREAM_VERSION).orig
	rm -r wizznic-$(DEB_UPSTREAM_VERSION).orig

.PHONY: get-orig-source

=== debian/watch ===
version=3
opts=dversionmangle=s/[\.\+]dfsg// \
http://sf.net/wizznic/wizznic-(.+)-src\.tar\.bz2

## wizznic 0.9.9%2Bdfsg

=== debian/control ===
Source: wizznic
Section: games
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Uploaders:
 Debian Games Team <pkg-games-devel@lists.alioth.debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 imagemagick,
 libpng-dev,
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libsdl1.2-dev,
 po4a,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: http://wizznic.org/
Vcs-Browser: https://salsa.debian.org/games-team/wizznic
Vcs-Git: https://salsa.debian.org/games-team/wizznic.git
X-Style: black

Package: wizznic
Architecture: any
Depends:
 libsdl-image1.2,
 libsdl-mixer1.2,
 libsdl1.2debian,
 wizznic-data,
 zlib1g,
 ${misc:Depends},
 ${shlibs:Depends},
Description: implementation of the arcade classic Puzznic
 As in the original game your mission is to clear the level of
 bricks. This is done by moving the bricks around. When two or
 more bricks of the same kind are next to each other or on top
 of each other they will disappear and points will be given.
 The level has to be clear of bricks before the time runs out
 or you will lose a life.

Package: wizznic-data
Architecture: all
Multi-Arch: foreign
Recommends:
 wizznic (= ${source:Version}),
Depends:
 ${misc:Depends},
Description: implementation of the arcade classic Puzznic (data)
 This package contains all the level and sounds of the game
 .
 As in the original game your mission is to clear the level of
 bricks. This is done by moving the bricks around. When two or
 more bricks of the same kind are next to each other or on top
 of each other they will disappear and points will be given.
 The level has to be clear of bricks before the time runs out
 or you will lose a life.

## wizznic 0.9.9+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #Makefile for wizznic.
 #To make a system-wide install add DATADIR=/dir/to/data/ and BINDIR=/dir/to/bin/ to the make command
+#To compile with OpenGL scaling support, add WITH_OPENGL=true to the make command.
 
 CC = gcc
 LD = $(CC)
@@ -19,6 +20,12 @@
 
 LDFLAGS=$(CFLAGS)
 LIBS = -lSDL -lSDL_image -lSDL_mixer -lpng -lm -lz -lpthread
+
+#Are we compiling with gl?
+ifneq ($(WITH_OPENGL),false)
+	LIBS += -lGL
+	DEFS += -DWITH_OPENGL
+endif
 
 OBJS = dumplevelimages.o board.o cursor.o draw.o input.o main.o menu.o sprite.o\
 text.o ticks.o sound.o game.o player.o list.o levels.o pixel.o stars.o\

=== debian/control ===
Source: wizznic
Section: games
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12), imagemagick, libsdl-image1.2-dev,
               libsdl-mixer1.2-dev, libpng-dev, libsdl1.2-dev, po4a
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://wizznic.org/

Package: wizznic
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libsdl-image1.2,
         libsdl-mixer1.2, libsdl1.2debian, wizznic-data, zlib1g
Description: implementation of the arcade classic Puzznic
 As in the original game your mission is to clear the level of
 bricks. This is done by moving the bricks around. When two or
 more bricks of the same kind are next to each other or on top
 of each other they will disappear and points will be given.
 The level has to be clear of bricks before the time runs out
 or you will lose a life.

Package: wizznic-data
Architecture: all
Multi-Arch: foreign
Recommends: wizznic (= ${source:Version})
Depends: ${misc:Depends}
Description: implementation of the arcade classic Puzznic (data)
 This package contains all the level and sounds of the game
 .
 As in the original game your mission is to clear the level of
 bricks. This is done by moving the bricks around. When two or
 more bricks of the same kind are next to each other or on top
 of each other they will disappear and points will be given.
 The level has to be clear of bricks before the time runs out
 or you will lose a life.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -std=gnu89

%:
	dh $@

INSTALL_ARGS := -f Makefile.linux DATADIR=/usr/share/games/wizznic/ BINDIR=/usr/games/ DESTIR=debian/tmp/ STRIP=true

override_dh_auto_build:
	convert prgicon.png debian/wizznic.xpm
	cp prgicon.png debian/wizznic.png
	# This is not a proper MIME file, cf. update-mime(1)
	#cp tools/mime/wizznic.xml debian/wizznic.mime
	po4a -v -f debian/po4a.cfg
	dh_auto_build -- $(INSTALL_ARGS)

override_dh_auto_install:
	dh_auto_install -- $(INSTALL_ARGS)

override_dh_auto_clean:
	rm -f debian/wizznic.xpm
	rm -f debian/wizznic.png
	rm -f debian/wizznic.mime
#	rm -f debian/wizznic.pot
#	rm -f debian/wizznic.de.6
	dh_auto_clean

=== debian/watch ===
version=3
opts=dversionmangle=s/[\.\+]dfsg// \
http://sf.net/wizznic/wizznic-(.+)-src\.tar\.(?:bz2|gz|xz)

## wizznic 1.0.0-maemo1

=== debian/changelog ===
wizznic (1.0.0-maemo1) stable; urgency=low

  * Fremantle packaging
  * parameters can be "-z 2 -f"
  * Use shift/backspace instead of alt/escape
  * use explicitely signed char (on text.c:109)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 23 Jan 2012 13:22:38 +0200

=== debian/control ===
Source: wizznic
Section: user/games
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>= 4.1.16), libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev (>= 1:1.2.6-5+0m5+ogg+mp3-2), libpng12-dev
Standards-Version: 3.8.1
Homepage: https://sourceforge.net/projects/wizznic/

Package: wizznic
Architecture: any
Depends: ${shlibs:Depends}, libsdl-mixer1.2 (>= 1:1.2.6-5+0m5+ogg+mp3-2)
Description: Puzzle game.
XSBC-Bugtracker: https://sourceforge.net/tracker/?group_id=286702&atid=1214847
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAKT2lDQ1BQaG90
 b3Nob3AgSUNDIHByb2ZpbGUAAHjanVNnVFPpFj333vRCS4iAlEtvUhUIIFJC
 i4AUkSYqIQkQSoghodkVUcERRUUEG8igiAOOjoCMFVEsDIoK2AfkIaKOg6OI
 isr74Xuja9a89+bN/rXXPues852zzwfACAyWSDNRNYAMqUIeEeCDx8TG4eQu
 QIEKJHAAEAizZCFz/SMBAPh+PDwrIsAHvgABeNMLCADATZvAMByH/w/qQplc
 AYCEAcB0kThLCIAUAEB6jkKmAEBGAYCdmCZTAKAEAGDLY2LjAFAtAGAnf+bT
 AICd+Jl7AQBblCEVAaCRACATZYhEAGg7AKzPVopFAFgwABRmS8Q5ANgtADBJ
 V2ZIALC3AMDOEAuyAAgMADBRiIUpAAR7AGDIIyN4AISZABRG8lc88SuuEOcq
 AAB4mbI8uSQ5RYFbCC1xB1dXLh4ozkkXKxQ2YQJhmkAuwnmZGTKBNA/g88wA
 AKCRFRHgg/P9eM4Ors7ONo62Dl8t6r8G/yJiYuP+5c+rcEAAAOF0ftH+LC+z
 GoA7BoBt/qIl7gRoXgugdfeLZrIPQLUAoOnaV/Nw+H48PEWhkLnZ2eXk5NhK
 xEJbYcpXff5nwl/AV/1s+X48/Pf14L7iJIEyXYFHBPjgwsz0TKUcz5IJhGLc
 5o9H/LcL//wd0yLESWK5WCoU41EScY5EmozzMqUiiUKSKcUl0v9k4t8s+wM+
 3zUAsGo+AXuRLahdYwP2SycQWHTA4vcAAPK7b8HUKAgDgGiD4c93/+8//Ueg
 JQCAZkmScQAAXkQkLlTKsz/HCAAARKCBKrBBG/TBGCzABhzBBdzBC/xgNoRC
 JMTCQhBCCmSAHHJgKayCQiiGzbAdKmAv1EAdNMBRaIaTcA4uwlW4Dj1wD/ph
 CJ7BKLyBCQRByAgTYSHaiAFiilgjjggXmYX4IcFIBBKLJCDJiBRRIkuRNUgx
 UopUIFVIHfI9cgI5h1xGupE7yAAygvyGvEcxlIGyUT3UDLVDuag3GoRGogvQ
 ZHQxmo8WoJvQcrQaPYw2oefQq2gP2o8+Q8cwwOgYBzPEbDAuxsNCsTgsCZNj
 y7EirAyrxhqwVqwDu4n1Y8+xdwQSgUXACTYEd0IgYR5BSFhMWE7YSKggHCQ0
 EdoJNwkDhFHCJyKTqEu0JroR+cQYYjIxh1hILCPWEo8TLxB7iEPENyQSiUMy
 J7mQAkmxpFTSEtJG0m5SI+ksqZs0SBojk8naZGuyBzmULCAryIXkneTD5DPk
 G+Qh8lsKnWJAcaT4U+IoUspqShnlEOU05QZlmDJBVaOaUt2ooVQRNY9aQq2h
 tlKvUYeoEzR1mjnNgxZJS6WtopXTGmgXaPdpr+h0uhHdlR5Ol9BX0svpR+iX
 6AP0dwwNhhWDx4hnKBmbGAcYZxl3GK+YTKYZ04sZx1QwNzHrmOeZD5lvVVgq
 tip8FZHKCpVKlSaVGyovVKmqpqreqgtV81XLVI+pXlN9rkZVM1PjqQnUlqtV
 qp1Q61MbU2epO6iHqmeob1Q/pH5Z/YkGWcNMw09DpFGgsV/jvMYgC2MZs3gs
 IWsNq4Z1gTXEJrHN2Xx2KruY/R27iz2qqaE5QzNKM1ezUvOUZj8H45hx+Jx0
 TgnnKKeX836K3hTvKeIpG6Y0TLkxZVxrqpaXllirSKtRq0frvTau7aedpr1F
 u1n7gQ5Bx0onXCdHZ4/OBZ3nU9lT3acKpxZNPTr1ri6qa6UbobtEd79up+6Y
 nr5egJ5Mb6feeb3n+hx9L/1U/W36p/VHDFgGswwkBtsMzhg8xTVxbzwdL8fb
 8VFDXcNAQ6VhlWGX4YSRudE8o9VGjUYPjGnGXOMk423GbcajJgYmISZLTepN
 7ppSTbmmKaY7TDtMx83MzaLN1pk1mz0x1zLnm+eb15vft2BaeFostqi2uGVJ
 suRaplnutrxuhVo5WaVYVVpds0atna0l1rutu6cRp7lOk06rntZnw7Dxtsm2
 qbcZsOXYBtuutm22fWFnYhdnt8Wuw+6TvZN9un2N/T0HDYfZDqsdWh1+c7Ry
 FDpWOt6azpzuP33F9JbpL2dYzxDP2DPjthPLKcRpnVOb00dnF2e5c4PziIuJ
 S4LLLpc+Lpsbxt3IveRKdPVxXeF60vWdm7Obwu2o26/uNu5p7ofcn8w0nyme
 WTNz0MPIQ+BR5dE/C5+VMGvfrH5PQ0+BZ7XnIy9jL5FXrdewt6V3qvdh7xc+
 9j5yn+M+4zw33jLeWV/MN8C3yLfLT8Nvnl+F30N/I/9k/3r/0QCngCUBZwOJ
 gUGBWwL7+Hp8Ib+OPzrbZfay2e1BjKC5QRVBj4KtguXBrSFoyOyQrSH355jO
 kc5pDoVQfujW0Adh5mGLw34MJ4WHhVeGP45wiFga0TGXNXfR3ENz30T6RJZE
 3ptnMU85ry1KNSo+qi5qPNo3ujS6P8YuZlnM1VidWElsSxw5LiquNm5svt/8
 7fOH4p3iC+N7F5gvyF1weaHOwvSFpxapLhIsOpZATIhOOJTwQRAqqBaMJfIT
 dyWOCnnCHcJnIi/RNtGI2ENcKh5O8kgqTXqS7JG8NXkkxTOlLOW5hCepkLxM
 DUzdmzqeFpp2IG0yPTq9MYOSkZBxQqohTZO2Z+pn5mZ2y6xlhbL+xW6Lty8e
 lQfJa7OQrAVZLQq2QqboVFoo1yoHsmdlV2a/zYnKOZarnivN7cyzytuQN5zv
 n//tEsIS4ZK2pYZLVy0dWOa9rGo5sjxxedsK4xUFK4ZWBqw8uIq2Km3VT6vt
 V5eufr0mek1rgV7ByoLBtQFr6wtVCuWFfevc1+1dT1gvWd+1YfqGnRs+FYmK
 rhTbF5cVf9go3HjlG4dvyr+Z3JS0qavEuWTPZtJm6ebeLZ5bDpaql+aXDm4N
 2dq0Dd9WtO319kXbL5fNKNu7g7ZDuaO/PLi8ZafJzs07P1SkVPRU+lQ27tLd
 tWHX+G7R7ht7vPY07NXbW7z3/T7JvttVAVVN1WbVZftJ+7P3P66Jqun4lvtt
 Xa1ObXHtxwPSA/0HIw6217nU1R3SPVRSj9Yr60cOxx++/p3vdy0NNg1VjZzG
 4iNwRHnk6fcJ3/ceDTradox7rOEH0x92HWcdL2pCmvKaRptTmvtbYlu6T8w+
 0dbq3nr8R9sfD5w0PFl5SvNUyWna6YLTk2fyz4ydlZ19fi753GDborZ752PO
 32oPb++6EHTh0kX/i+c7vDvOXPK4dPKy2+UTV7hXmq86X23qdOo8/pPTT8e7
 nLuarrlca7nuer21e2b36RueN87d9L158Rb/1tWeOT3dvfN6b/fF9/XfFt1+
 cif9zsu72Xcn7q28T7xf9EDtQdlD3YfVP1v+3Njv3H9qwHeg89HcR/cGhYPP
 /pH1jw9DBY+Zj8uGDYbrnjg+OTniP3L96fynQ89kzyaeF/6i/suuFxYvfvjV
 69fO0ZjRoZfyl5O/bXyl/erA6xmv28bCxh6+yXgzMV70VvvtwXfcdx3vo98P
 T+R8IH8o/2j5sfVT0Kf7kxmTk/8EA5jz/GMzLdsAAAAGYktHRAD/AP8A/6C9
 p5MAAAAJcEhZcwAACxMAAAsTAQCanBgAAAAHdElNRQfcARcLGyzOPXj6AAAV
 xElEQVRo3oWae6xnV3XfP2vvfc75ve+dO3eenhnGM7ZxbATmYQikoU2wDYmI
 jFoh1KoSoURqEVXUKE0aVSVAQhq1lRyVf9q0UkkoEc1DKSg0wcPDAQfD2Ekg
 5WF7/JiH587cO/f5e57Hfqz+ce6MCS3qkY5++knn7LPXPmut72Mf+chHPsxH
 PvJRvv/40Ic+clhEzwOnAVDl/3nID/ujP+RiRUQQEVDQpO3YRhDT3p807T9P
 9scRgEuJ8KaP/dq/vfH9I374wx9++anvf/8vc9ttnZ9XZcUYM3LOvi/LzXKW
 W9QYrBGcGKwYkiopJWJMpJRQTT8Yzf99KCCGzY0tducTlu5coTjYQ5whzBum
 l/ZI256TJ07TKQpSSlix+NTQhGqvCc0nYkoTg9m57i99/L/+5idfDuBn3/uL
 vOL04MeBz4GOxEBeWLp9p3kvE3WOPLN0XYbDkVQJwRPqiPeBGML/f/IKKpan
 v/M8l9avcuTHT3HwDcfIV7qMv7PJ+l9cQq8G3vyGv8twuEQIgdxm+Fjp3E+k
 rBfEFEGYAO98Ye/C45/6j5/GAZx6Rf/ngV93TkbWJJCGWhrKSsEbNIe8yCls
 jgsOBBIJGohVxFeB6GtUEyKCNQ6jQkpKFIEUQRNJDJUv0UbZenyN7mqffKnL
 1uNrzC/u0e302dmaMp8oIUWcODJnsVmXrs2ItsbTjELynzuzdMeHgI+7NsVl
 BXSkyRO00SC1VOqZnqllcbaBTLHOkVmHwdJ/LqN3IUeTIYVIbDyxDkhUjAjG
 OlBBI0T20yy1ryHLDEujIXtbe2z+5TXKjTnlxpRRMeDA8lFC45iXJ5g3J0A7
 LPevyIH+C4hpUFFV48QWaWRztwLgfvVXP3rYGEZoRGNNo5VU0uBdYnJ6zt79
 C2xjMEEQDMYZhvOc4VaBisWMFVO1RWsVUENCEBU0KUEDISgxJFL0gKE/KFCW
 qC8v2HpuTDQJ072T1NzNbjllZ36SnfJ+jFQc6AX2umOSVmQylk53TOdgQzLN
 6L777jvgIJ3PrFt2ztA0huCVWgPJetRFnLeMHutgNwWSkDWWxX0NV967CyKM
 Huuw9FiBOAUxSJRbBS9JIVhi8vimZjqbM1/MyfMO9/7I66hmDVcvvsSNG9t8
 6/n7mMweZKX4HcaLCbvlhKXe71M3Z5lX7wGE1eEfc/zg11k5UpP3ed/p20+/
 y4GezgtHt+c0TGdoSqJEcAm1IAHyLYNbs2iALBrSwKI2Q5PiVwPjt8PKEx1k
 R6i1IS0q8IEUGqoqMp/PmU3njGcl48keK8sHeeCtx5i6BZeba5TTjO3NDTbH
 3yMOFkxLx9wL3XSdECaEOpA5ZXtnyN74fdpZj5y6/evLx277q2UH4ApLMXBC
 o6QUUYmkArBt9xAUE4FgMAKDCzn9ZzNiiOw8WDJ+9Rx7LWLqSH2jotlrCIuK
 UFfUdWQ+nbdnFdjb20Oi0O/22bkxYW19ne3tmmrxGJqeo/J3kuhjZQacZFB8
 h6Xetyiyhu35w2zN/r5MKsNg+TqHDn8VB0KShDcNjalpOp46S6ROImQJFEIE
 10BWC5k4MBAkUMcEXww0Fyacf/gCpmgY/p6gO6BzRUNbuEkVyYU8QScX8kwI
 BC5cucDjf/0FBIsSgbsZlx+kkwm94jzbi59mkI840P0sMRlG3S/TzZ6iDsKg
 s4HSwZFAE9S9xO7Zkt2ipCGgTvFHExIFEJxYbBLqsqKsSxbNgmkzpZyX7Cwm
 XPq5awyHBjfrEx2QAVEQpUVeATFKXuSowrPPPsfFF14EYHT/Cn5rk8XFHZQR
 Pi6RqInpCCENiAiWSG6uU2QXsUbIrAG1OFEgQewpk9c3TIqaRLyFrG5PSCnS
 BE9dBsabu0wnE2bzKfN6SpkapqMa/3yFTznV2YjZBZkILIAG1Ot+MIJiGc8q
 vvH1J7n0/CVkYDn+trPsfSuxuOiAipBOEdJrACWmAVU4hbPPgTagHgcYcShZ
 C2RG2tOqwewnvgIGgyjMyhlbW3Pma1Nm69v4RYOqojaRCiW/5jjxGyvs/KM5
 F//NDiceGVJ4S+wqTIGZol4wZEzmnp2dMVcub+LVY7sObRIa0z5s2/3fAFiq
 8Cbi4gCZPILka1gJODxWu0COUwE1YOuMladHuC5UWrFIC3ZPjpnoBHbmxI0a
 v+Np5iU0LfeRTLDOYiuDXFKaJzNCN7DztgoJQAQtofOEo/O1DKORuvIkSfRf
 vcKwl5MPCkxhSR7A082/R0iH8MFSuOdp4klCPEqkQ4tECaQGydoMQRSsxYWC
 lWeGWCI71EzCghv5da4dvEF/3FBMLFmTY60BZ9ruJLS1YQxN1zN8MkemcO1f
 T9HRy4x0OIfiazmBSAoB28+57SfP0D02IJYBRYlegJpB59uUzSvx4Sid7AIA
 Ph7CmAwrjkxq1IAY9gMAsszR7XSYBct8MeVatca1cJW1aoOxLOi5EXneISts
 u6r7FZJnYAshOaWxYE1bu/IDhNomyFB8FNAfxlr374o1aPhb7FaAjAwjBiz0
 bI/c5iiKEwwWQ+p4Xjqxzvd4gUv1RfbSHnvHZqQEGINY0w5gFJV29a0DCiHm
 ilaGyU+UTN5aMvp6BkGQAKY09L6bg7Ftt7CGOG+4+Pln6Aw79Jb6rLz+KDZT
 oGBWv4agxwBD5e+iCScQSfsniGQ4uVmr4FKIxKpmyoxn7n6B7xYvsME6SltU
 7oZBRFG0FRv7esMASSBZpe4pi+XA+A0N1R2Rk4+MKC5ZVCBbOOIcak0ICZe3
 dKT/kmU23WHa2WbpVYcw+wGU4T7gAFBTh1e2BNA+B6ZsX546ohr0ZgCTyRSX
 e/zenOtcY8Jkvwd9H5lPgeQbfGMhahuAoVVRjVCtBtb+1R7FixknP3aQwW6G
 bQRtQEqBMpJVEUlKzyXO3HWKD/zTX+YL577EH37xjyATxN5MvJvawgGGTv4E
 o+6jWLODJIMCi5Rho1CQcFvbm8SsB9c8xf+CYS/DSk5yifLegGYQveKjYvYD
 UwGxSnQBCYY6BeqzgeySI3/GIrkhTxbrDdGDeIGYCCmgomTdgmOnTjFaXYEG
 rn/5RcLWDnAIKHAyxpoXqeNrsTKnsJeJWtOgGFVSgm7cD3N3vAuDQPeaZfRk
 h1XtMeknYhFJHaW6NxLSfld2iqb9hcqU4BJ+NbI4HnCXheK6xVjBBSGLliwY
 /P56JhLOBsQaGk3szWZI1qbB+Knt/auOAjMyO8WZy/h0DCtTJCUSSqmHiWmZ
 5HMG4QYiGzgfAloHZJbQPcUFQ2/hqDqCWRgwETGC2AR5ROzL1CAkYe/dFfMH
 ag490uXw8wNWhn1yn+HnicZHnEBAESssD7sgnl7XUhi488Qd/NhrfoKX1ra5
 Mb6Lyr+WQfFlfPxRFv6NjDqfJXdP45OSS2JaPcRe+R7AMGp+F5FP4lCFmKAR
 tFKklla8BEE8IEqUSMpaTiSVMH9zw/zveFKCmCnDRzscfGHI8mxA0XHERSBU
 EVXFZTm2B9YmFlUkJaVjDf2iw7HDRzlz+k6aZsCkejuVfwuZ/X1impJ0QO4u
 EeJxJs3DWOMRIv38S8SUyN2LoA6HtBNDW+Sk2Xc1DOAFzaF+RZsINlhkDrP7
 A9OfbFoi9t8KVj/VZ3ikT9ErkIVSTiuCj2SZI8stubVYo2yOa3xQUghcunKJ
 yV7NopqjeDJXkLk+zpQYmaMIPp6gCbdThfsBw4Hup1nq/h5RG7p5hmreAtnf
 cg/2i4MKqIECxj/bIFVzC8SGXyg4/sERSRW3AVYTeQk2a4PX/bEkQW5aPa22
 hf6822VrssfH/sNvMN+rqKuaaBMr3R3OLH+FKk4o/Y8BQ3YXH2BQ/AnHR7+I
 MxEnmwgVIg1GBKVoAxAVjJrWdEqtClNVul9zLafJ9uMLQFS6T2Tkf23RCEYV
 jDL1NfQNvU5Gv9OlTA0+JrxPhOQJwdPLM8azkvXrY8aThuyuAQfvvY31z7zI
 3uwprKzj7O30sicQ5qjmDLIn6WXfxkpFJBI0oVqjahD6bQApJUJQNCnJt6dG
 KL7q6H4tQ/N9SA/tm0lR8SmBB5fAq7KjFaFWZKlLbjOSGqrGM5nWKIkmBCyG
 2bhmPGlA4I53vYojD5xm8b0xk2e3uT69yrHhMt3sKxTui23aikFV8VoS8AQN
 pFQTtdfqFICqKQkx4CtPXQfKKoDsKzUi2H1BkgAPMUJUyCJEbcW8ihB9xXxa
 AYI1YIxSz0vqKFQhYVJkPl1geo6TD9/F6J5VUDj57ru5+ifPMvmbLYQdoub4
 fXotRkAUUt06gmgbQAog4IwRrl7ZYHPjGnXjSUSiBsr5Ar+PuuxzMLPPPmOA
 6CNWwTgLTogxtJrCtCuGUayFTl7gg6GsIzSeWhVjhWK1h+tloFCsdslHHRTY
 nt4ADOkmaO6XpBFhxQgHDDSxoQh+XymKsDOfcun6BkSwRhiOeiwfOoSVNs/F
 gHWGxnuuX90iieKGORGoFx6p4cixVbrdDmY/gKSJuqkZ74xZzOt2Ej2HiUpx
 sEvykdTEVjPXkdhEBFg5skKe56S0rzlocccYR767jZuOW73oAyqC06Ss3n+c
 +nWOq59+hpiULO/yC//ylzhy/ASzeUm/6xgOB1x68TK/9isfpTyhnH7HKwG4
 /OgF8suJf/YvPsjtd9yObzzBB4pOh7WXrvJbv/lbLOY7IHDy4bsoVnskH7Ed
 R6pf9lSrsmJpMOIXfumDnHzFCcpFhWpOJgariSZ5/uDTf8CffeHLAJxJiUOA
 06j0Toy47VUjhieXefF/fpf6WsOkLBmmhp3pHt986gKxatjd3GU+mdEdrNA9
 NgCgGBTMZlt847HzXPjucxT9Dnfcc5YD+QHmTYkvPcVdI8686x5G96ziehmp
 iaQ6UBzqtTS9sJjMohrwvqRpZjShRm3AGEdmDIXAnfeeYWu2gyh0ij4hRBxJ
 Mbmle7xH9/CQvWc32XruCl//y/Mcun6JzbUNvvCHf9o2+BxMx9Jb7hPLdvW6
 Sz0mHfj8lz/f4oaBB9/9IIduO8Tm1U3KecnqPac58sDpWy71zcwWa/DjmvrG
 glQmQlPzzb95isvXRtQxQpHRLXL6WU5uCkYrBW//qbfgK8/alV2uX9/DiTM0
 uxXbX9nkpf/xDNNndrDOcmN7jUpnjG+MMQqD1x3i+ANnICi2sLco98rrj7L0
 qkNIJqyde5HZt7a4sbNBZSom2xPUKtc/8zyzp3c59e67KVa7pLpFS1NY6hsL
 Ln7qOyyuTMgyy8Z0jVm223pOXej0OvSzLlmdIVZQo1Aq86rdLHFihJ3/fZ0X
 1i9SPzPBGsvhO45QVyXjrYbFZE4Cyo2SnW9uoFFRn9DQTkKcwWQWsUK9sUCB
 2aIi7kFdl4xOHmT34ibTZ7e5+tkL5KOC0ATqukYyg5aJxZUJHWe57c4VFrFk
 884xe69doIWS5Rm5K3A4lp7sMDpfoMlgqj5G+jgEwrWK+PwC5yyHzxzm0IkV
 wqREqwpbV/T6jmptxtba7Ac2kOSWBXPzKEZdQlLquiGSGN12gJSUvSubjL+9
 uX+XsDQYgUbqpiZ3jtvOrnDs9mUmWrLxqj123zmHqjUgjBhs7jg47rLyUpdo
 DEvrR1leH+BSTNz9mru5580/wtq1y1STCbI5oQieXJUh0D25hE+GqJboFG8h
 GkHIiCQiYV9nOkyeY/NWWYmFVEeK5R4HiqOE2lPOSo4fOcY//7kPkKo53/7W
 k2xsrTH2U3bLBWFQknIPNax+sk92uTUSiipn/GDJd//9eovin+ix8rtHcKpK
 f9RjdLhHVW6zt5hxYFHy9r0FR5vYWuVW+Oqwy58PO/jc0LWKCDTJ4lGiMWAt
 rerVdstJDSIGa6EoDEYyvFGaBjrdjLNnTuGrKdc3nqeWMYu9OTE1aJEgA9MI
 vZcs2bMZ2giFN6QDGZoXeNOQXxGwtCmkMaJ1TVYHej5wuvb84605KwoTgUwh
 eGUbIWaO3dyy7YQUI0naOqCwBI2k5IkKYi3OCcaAGsWKkkQQVVL01OWMxi+o
 qKlNQ+h41AS0p2h2c2dUsUHAt6740jcKRuczKlfTDzkpB6cAIWIWDd2pJ5sH
 lnyLik/2Mj6z3GXPwAOTmv90cQsE/vvqkN9ZHVCkhLWWZAw+grWO3Ao+egiR
 5BPe0vovRdHaGHmOOkeTPLXWNLamdCVlv6bsREI/EvIEKngPRankCyEnI0mk
 MYmUW1QEEcWpCIs6sBoa/ZmNPUabExnNK7oK65nhQsexbQy9JAiCJuFwFfiV
 tT1UlS8t9fjz5R69VBEzR+NMmz4xoVGRBEETQRQlYYxiDHjv8T5SLkWu/+iU
 jcGUkgbNlPpshNC65iQwXokhkjQhVrSnI/KsK2oVp3Bp3qRlbarln9qZsrIz
 azcEWuK532OEx/sdHht00CT8k50p79+ZtxTACOuZsOOEbmVYEosAWyLcMIaQ
 YJEiAQXvMbTp5Jua4CN+CbZ+umKrv2hne9PN25BbnS4q4AMaEs7lMixW6NDb
 U9g1lzrdN+1G/cS4CgRrwb0s0lKrMCkFSlEaFDWJzyznvPfUkPedHNGJkX/3
 0i6HfODB3Rm/fWGd/3xhnX+wPWWokU4K5LXHLTziQdSgAo2fgVYUVsiwuB8Q
 h3yfR+1130ULCkEosiF51vsE8Hq7++yz81fcfubNmerfS7lh14lOYpCjteeF
 juWp5R5jZ5kbQ2MEFWXihPXcsmscHRFGwNnKc9AnNp1lPTN0k/LqRcPr5jUx
 Jq4Y8EkJi4Ywrti5sUsVGvIDBVW9wG4o2WVDftUQegkElp7IKa4bpAaaiJNc
 u90l6faWsS479+ijf/Z5BzBIaad0dvLZI4dHq71MXu2EI1XEZ1ZNZiQZR8AQ
 VNHU4NSQK3SBvxj1mBQZj1za5ol+xn85NKAA/uH2gvfsLgCYj3K+UvRavb3w
 7M7mPLZ+njfEirfc9UZOnD9EpoHtTKiyCj8MLE55jEAuVq3JRB10spH0egcQ
 kUlKceeWO732gvv4yTvCN73nc2vF8qg62mFAj00/Jm88ed+0WzrJQrRtcSpk
 uVBooqNt13Ix0omRAshSvJUGHkGNJQVPTPEWco/6PZYOjNi0GRog2kjMIrEb
 0Q7EDLJswLB7kKzfw0iGiEwQeee9b3j48Ucf/XwbwNMv/ilP5z/z+NtO1h+q
 Xbay0zGj84dW39eEwbKnoZtbjLFENZAiRhWrkCNYTdzoBj6ZHeRaZpl1M0rg
 K8PAtdJTA0/3cw72coYx4YcNsfTEmHB0WPvODcpayeOIZXEEG+nVNWGUGF7t
 MEgDKVxvz7nOJwQzSRp37n3jw48/8usf4KGHHkIeeughAM6dO3drxd76jncc
 sKp/ZZDbzT7jkf3tVkRureDN3yhQi2Bbx7FddYEgraLKkpLrzU9taL15IPpA

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif



build: build-stamp

build-stamp:
	dh_testdir

	make WITH_OPENGL=false DATADIR=/opt/wizznic
	touch build-stamp



clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	make clean
	# --- end custom part for cleaning up

	dh_clean


install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	#folder
	install -d ${CURDIR}/debian/wizznic/opt/wizznic/

	#files
	install ${CURDIR}/wizznic ${CURDIR}/debian/wizznic/opt/wizznic/

	#data and levels
	cp -r  ${CURDIR}/data ${CURDIR}/debian/wizznic/opt/wizznic/
	cp -r  ${CURDIR}/packs ${CURDIR}/debian/wizznic/opt/wizznic/

	#icon
	install -d ${CURDIR}/debian/wizznic/usr/share/icons/hicolor/64x64/hildon
	install ${CURDIR}/debian/icon.png     ${CURDIR}/debian/wizznic/usr/share/icons/hicolor/64x64/hildon/wizznic.png

	#menu
	install -d ${CURDIR}/debian/wizznic/usr/share/applications/hildon
	install ${CURDIR}/debian/wizznic.desktop ${CURDIR}/debian/wizznic/usr/share/applications/hildon

	#start-script
	install -d ${CURDIR}/debian/wizznic/usr/bin
	install ${CURDIR}/debian/wizznic.sh ${CURDIR}/debian/wizznic/usr/bin




# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## wizznic 1.0.0-maemo2

=== debian/changelog ===
wizznic (1.0.0-maemo2) stable; urgency=low

  * Fixed: installation issues (packaging typos)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 23 Jan 2012 15:17:38 +0200

=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 build-stamp:
 	dh_testdir
 
-	make WITH_OPENGL=false DATADIR=/opt/wizznic
+	make WITH_OPENGL=false DATADIR=/opt/wizznic/
 	touch build-stamp
